#
# spec file for package dapl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           dapl
Summary:        Userspace RDMA API (supports DAT 1.2 specification)
Version:        1.2.19
Release:        0.12.1
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        compat-%{name}-%{version}.tar.bz2
Patch1:         dapl-1.2.19-build_errors.patch
Patch2:         dapl-no_implicit_decls.patch
Url:            http://www.openfabrics.porg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel librdmacm-devel
Requires:       dapl_man
ExcludeArch:    s390 s390x

%description
Along with the OpenIB kernel drivers, libdat and libdapl provides a
userspace RDMA API that supports DAT 1.2 specification



Authors:
--------
    Caitlin Bestler
    Philip Christopher
    Jay Danielsen
    Arlin Davis
    Tom Duffy
    Matthew Finlay
    Jimmy Hill
    James Lentini
    Gil Rubin
    Steve Sears
    Randy Smith
    Anthony Topper
    Steve Wise

%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Development files for the libdat and libdapl libraries
Requires:       %{name} = %{version} libibverbs-devel librdmacm-devel
Requires:       glibc-devel

%description devel
Static libraries and header files for the libdat and libdapl library.



Authors:
--------
    Caitlin Bestler
    Philip Christopher
    Jay Danielsen
    Arlin Davis
    Tom Duffy
    Matthew Finlay
    Jimmy Hill
    James Lentini
    Gil Rubin
    Steve Sears
    Randy Smith
    Anthony Topper
    Steve Wise

%prep
%setup -q -n compat-%{name}-%{version}
%patch1
%patch2

%build
%{expand: %%define optflags %{optflags} -D_GNU_SOURCE}
%configure
make

%install
%makeinstall
rm -rf %{buildroot}%{_mandir}/*
mkdir -p %{buildroot}%_sysconfdir
touch %{buildroot}%_sysconfdir/dat.conf

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
if test -e %_sysconfdir/dat.conf; then
	sed -i -e '/OpenIB-.* u1/d' %_sysconfdir/dat.conf
else touch %_sysconfdir/dat.conf
fi
cat <<EOF >>%_sysconfdir/dat.conf
OpenIB-cma u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "ib0 0" ""
OpenIB-cma-1 u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "ib1 0" ""
OpenIB-cma-1 u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "ib1 0" ""
OpenIB-cma-2 u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "ib2 0" ""
OpenIB-cma-3 u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "ib3 0" ""
OpenIB-bond u1.2 nonthreadsafe default libdaplcma.so.1 dapl.1.2 "bond0 0" ""
EOF

#On update save configuration before uninstall of old package runs
if [ $1 -gt 0 ]; then
	cp -p %_sysconfdir/dat.conf %_sysconfdir/dat.conf.rpmtmp
fi

%posttrans
if [ -e "%_sysconfdir/dat.conf.rpmtmp" ]; then
  mv %_sysconfdir/dat.conf.rpmtmp %_sysconfdir/dat.conf
fi

%postun
/sbin/ldconfig
if test -e %_sysconfdir/dat.conf; then
	sed -i -e '/OpenIB-.* u1/d' %_sysconfdir/dat.conf
fi;

%files
%defattr(-, root, root)
%_bindir/*
%_libdir/libdaplcma.so.*
%_libdir/libdaplscm.so.*
%_libdir/libdat.so.*
%config %ghost %_sysconfdir/dat.conf

%files devel
%defattr(-, root, root)
%_includedir/dat/
%_libdir/libdaplcma.a
%_libdir/libdaplcma.la
%_libdir/libdaplcma.so
%_libdir/libdaplscm.a
%_libdir/libdaplscm.la
%_libdir/libdaplscm.so
%_libdir/libdat.a
%_libdir/libdat.la
%_libdir/libdat.so

%changelog
* Mon Mar  7 2011 pth@suse.de
- Don't remove the configuration for this dapl version on update
  (bnc#676731).
- Use cat instead of multiple echos.
- Include /etc/dat.conf as %%config %%ghost.
* Fri Mar  4 2011 pth@suse.de
- Fix tmp race in post/postun (bnc#676700).
* Mon Dec 20 2010 ro@suse.de
- add ExcludeArch:    s390 s390x (again)
* Fri Nov 26 2010 pth@suse.de
- Don't package man pages but include the ones from dapl2.
- Include dapl_sp_util.h to get dapl_sp_remove_ep declared.
- Define _GNU_SOURCE.
* Thu Nov  4 2010 ro@suse.de
- add ExcludeArch:    s390 s390x
* Tue Oct 26 2010 jsembera@suse.de
- PTF for 642445
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Thu Oct 21 2010 stefan.fent@novell.com
- update to 1.2.19 from OFED 1.5.2
* Thu Jun 10 2010 jsembera@suse.de
- PTF for 604678
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Wed Jun  2 2010 jjolly@novell.com
- cma: Fix dat_evd_free memory leak (bnc#604678)
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.2.16 from OFED 1.5.1
- Changed tarball name to compat-dapl to maintain continuity from
  OFED package
* Fri Nov 13 2009 jjolly@suse.de
- Updated to dapl v1.2.14 from OFED 1.4.1 (bnc#551008)
* Thu Oct 16 2008 jjolly@suse.de
- Update to dapl v1.2.7 from OFED 1.3.1 release
- Moved /etc/dat.conf population from Makefile to rpm %%post macro
* Sat Mar  1 2008 jjolly@suse.de
- Update to dapl v1.2.5 from OFED 1.3 GA release
* Mon Jan 28 2008 jjolly@suse.de
- Updated to dapl v1.2.3 from OFED 1.3 rc2 tarball
* Fri Jun 22 2007 hvogel@suse.de
- Fix some issues with the dtest test case
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.2
